net.minecraft.server.integrated

## Class IntegratedServerListenThread

- java.lang.Object
- - net.minecraft.network.NetworkListenThread
  - - net.minecraft.server.integrated.IntegratedServerListenThread

-     public class IntegratedServerListenThread
      extends NetworkListenThread

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.network.NetworkListenThread

      `isListening`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegratedServerListenThread(IntegratedServer par1IntegratedServer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_71754_a(MemoryConnection par1MemoryConnection, String par2Str)`
    `String` | `func_71755_c()`
    `IntegratedServer` | `getIntegratedServer()` Gets MinecraftServer instance.
    `MinecraftServer` | `getServer()`
    `boolean` | `isGamePaused()`
    `void` | `networkTick()` processes packets and pending connections
    `void` | `stopListening()`

    - ### Methods inherited from class net.minecraft.network.NetworkListenThread

      `addPlayer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegratedServerListenThread

          public IntegratedServerListenThread(IntegratedServer par1IntegratedServer)
                                       throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### func_71754_a

          public void func_71754_a(MemoryConnection par1MemoryConnection,
                          String par2Str)

    - #### func_71755_c

          public String func_71755_c()
                              throws IOException

      Throws:
        `IOException`

    - #### stopListening

          public void stopListening()

      Overrides:
        `stopListening` in class `NetworkListenThread`

    - #### networkTick

          public void networkTick()

      processes packets and pending connections
      Overrides:
        `networkTick` in class `NetworkListenThread`

    - #### getIntegratedServer

          public IntegratedServer getIntegratedServer()

      Gets MinecraftServer instance.

    - #### isGamePaused

          public boolean isGamePaused()

    - #### getServer

          public MinecraftServer getServer()

      Overrides:
        `getServer` in class `NetworkListenThread`